### Method

# AppStream Component get_agreements

since: 0.15.0

#### Declaration [src]

    GPtrArray*
    as_component_get_agreements (
      AsComponent* cpt
    )

#### Description [src]

Get a list of all agreements registered with this software component.

Available since: 0.15.0

#### Return value

Type: An array of `AsAgreement*`

An array of `AsAgreement`.

The data is owned by the instance.